/**
* The class responsible for saveing the data and submitting the job
* @author Randy Levensalor
* @version 3.0
*/

package form.io;

import java.io.*;
import java.awt.*;
import java.util.*;
import java.net.*;
import form.data.*;

public class ToHtml implements Serializable{

	/**
	* The data set before it is written
	*/
	private String data = "";

	static final String front = "<PARAM NAME = \"";
	static final String middle= "\" VALUE = \"";
	static final String back  = "\">\n";

	/**
	*  footer for the file
	*/
        private void saveFooter(){

  	   data+="</applet>\n";
	   data+="</center>\n";
	   //do something later for the body
	   data+="</body>\n";
	   data+="</html>\n";
	}



	/**
	* header for the file
	*/
        public boolean saveHeader(PropertyData pd){

	   if (pd == null){
	     System.out.println("PropertyData null Save failed");
	     return false;
	   }
	    data="<html>\n";
	    data+="<HEAD>\n";
	    data+="<TITLE>"+pd.getTitle()+"</TITLE>\n";
	    data+="</HEAD>\n";
	    data+="<BODY>\n";
	    data+="<center>\n";
	    data+="<applet codebase=\""+pd.getCodebase()+"\"\n";
	    data+="code=\""+pd.getCode()+"\"\n";
	    data+="width="+pd.getWidth()+"\n";
	    data+="height="+pd.getHeight();

	   if (pd.getArchive() != null)
	    data+="\narchive=\""+pd.getArchive()+"\"";

	    data+=">\n";

	   return true;

        }

	public ToHtml(){}

	public String getText(){
		saveFooter();
		return data;
	}
	public String getSubmit(){
		return FileData.NEWFILE+"npib.html\n"+getText();
	}

	/**
	* adds one parameter to the file
	* must have a unique name and value can't contain a new line
	*/
	public void add(String name, String value){
	    data += front+name+middle+value+back;
	}

	/**
	* adds one parameter to the file
	* must have a unique name and value can't contain a new line
	*/
	public void add(String name, int value){
	    data += front+name+middle+value+back;
	}
	
	/**
	* adds one parameter to the file
	* must have a unique name and value can't contain a new line
	*/
	public void add(String name, double value){
	    data += front+name+middle+value+back;
	}
	
}
